{% extends 'base.html.twig' %}

{% block title %}Solution index{% endblock %}

{% block body %}
    <h1>Solution index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Name</th>
                <th>Description</th>
                <th>CreateDate</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for solution in solutions %}
            <tr>
                <td>{{ solution.id }}</td>
                <td>{{ solution.name }}</td>
                <td>{{ solution.description }}</td>
                <td>{{ solution.createDate ? solution.createDate|date('Y-m-d H:i:s') : '' }}</td>
                <td>
                    <a href="{{ path('solution_show', {'id': solution.id}) }}">show</a>
                    <a href="{{ path('solution_edit', {'id': solution.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="5">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('solution_new') }}">Create new</a>
{% endblock %}
